#!/usr/bin/python
import os
import sys
# getting the TEMP variable
tempdir = os.environ['TEMP']
omc_corba_uri=tempdir + "/" + "openmodelica.objid"
# See if the omc server is running
if os.path.isfile(omc_corba_uri):
	print "OMC Server is up and running\n"
else:
	print "OMC Server is down. Please start it! Exiting...\n"
	sys.exit(2)

# Assembling the command prefix 
command_prefix = "./corbacomm.exe file://" + omc_corba_uri + " "

# Defining some commands:
cmds=[
"model test end test;", 
"list()", 
"loadFileInteractive(\\\"c:/OpenModelica131/testmodels/BouncingBall.mo\\\")",
"simulate(BouncingBall)", 
"plot(h)"]

# Calling some commands on the OMC server
for cmd in cmds:
	command = command_prefix + "\"" + cmd + "\""
	print "Calling: " + command + "\n"
	os.system(command)

