#!/usr/bin/env python
 
import sys
from omniORB import CORBA
import stubs
import _GlobalIDL
 
orb = CORBA.ORB_init(["-ORBInitRef","mico-local-orb=corbaloc::localhost:0/mico-local-orb"], CORBA.ORB_ID)

import os
import sys
# getting the TEMP variable
tempdir = os.environ['TEMP']
omc_objid_file = tempdir + "\\" + "openmodelica.objid"
omc_corba_uri= "file:///" + omc_objid_file
# See if the omc server is running
if os.path.isfile(omc_objid_file):
	print "OMC Server is up and running at " + omc_corba_uri + "\n"
else:
	print "OMC Server is down. Please start it! Exiting...\n"
	sys.exit(2)

objid_file=open(omc_objid_file)
ior = objid_file.readline()
objid_file.close()

mico_obj = orb.resolve_initial_references("RootPOA")

# Calling string_to_object
print "URI of the OMC server: " + ior 
obj = orb.string_to_object(ior)
omc = obj._narrow(_GlobalIDL.OmcCommunication)

if omc is None:
	print "Object reference is not an OmcCommunication"
	sys.exit(1)


# Defining some commands:
cmds=[
"model test end test;", 
"list()", 
"loadFileInteractive(\"c:/OpenModelica131/testmodels/BouncingBall.mo\")",
"simulate(BouncingBall)", 
"plot(h)"]

# Calling some commands on the OMC server
for cmd in cmds:
	print "Calling OMC with command: " + cmd 
	result = omc.sendExpression(cmd)
	print "Result:" + result



